<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<!-- <!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "classpath://org/hibernate/hibernate-mapping-3.0.dtd"> -->
<!--
  HELIUM V, Open Source ERP software for sustained success
  at small and medium-sized enterprises.
  Copyright (C) 2004 - 2014 HELIUM V IT-Solutions GmbH
  
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU Affero General Public License as published 
  by the Free Software Foundation, either version 3 of theLicense, or 
  (at your option) any later version.
  
  According to sec. 7 of the GNU Affero General Public License, version 3, 
  the terms of the AGPL are supplemented with the following terms:
  
  "HELIUM V" and "HELIUM 5" are registered trademarks of 
  HELIUM V IT-Solutions GmbH. The licensing of the program under the 
  AGPL does not imply a trademark license. Therefore any rights, title and
  interest in our trademarks remain entirely with us. If you want to propagate
  modified versions of the Program under the name "HELIUM V" or "HELIUM 5",
  you may only do so if you have a written permission by HELIUM V IT-Solutions 
  GmbH (to acquire a permission please contact HELIUM V IT-Solutions
  at trademark@heliumv.com).
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Affero General Public License for more details.
  
  You should have received a copy of the GNU Affero General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  
  Contact: developers@heliumv.com
-->
<hibernate-mapping package="com.lp.server.angebot.fastlanereader.generated">
<class name="FLRAngebot" table="ANGB_ANGEBOT">
	<id name="i_id" column="I_ID" type="java.lang.Integer" >
    		<generator class="native"/>
	</id>

	<property name="mandant_c_nr" column="MANDANT_C_NR" type="java.lang.String" />
	<property name="c_nr" column="C_NR" type="java.lang.String" />
	<property name="c_bez" column="C_BEZ" type="java.lang.String" />
	<property name="c_kundenanfrage" column="C_KUNDENANFRAGE" type="java.lang.String" />
        <property name="t_belegdatum" column="T_BELEGDATUM" type="java.util.Date" />
        <property name="angebotstatus_c_nr" column="ANGEBOTSTATUS_C_NR" type="java.lang.String" />
        <property name="waehrung_c_nr_angebotswaehrung" column="WAEHRUNG_C_NR_ANGEBOTSWAEHRUNG" type="java.lang.String" />
        <property name="n_gesamtangebotswertinangebotswaehrung" column="N_GESAMTANGEBOTSWERTINANGEBOTSWAEHRUNG" type="java.math.BigDecimal" />
        <property name="kunde_i_id_angebotsadresse" column="KUNDE_I_ID_ANGEBOTSADRESSE" type="java.lang.Integer" />
        <property name="kostenstelle_i_id" column="KOSTENSTELLE_I_ID" type="java.lang.Integer" />
        <property name="projekt_i_id" column="PROJEKT_I_ID" type="java.lang.Integer" />
        <property name="vertreter_i_id" column="PERSONAL_I_ID_VERTRETER" type="java.lang.Integer" />
        <property name="vertreter_i_id2"
			column="PERSONAL_I_ID_VERTRETER2" type="java.lang.Integer" />
        <property name="t_realisierungstermin" column="T_REALISIERUNGSTERMIN" type="java.util.Date" />
        <property name="angeboterledigungsgrund_c_nr" column="ANGEBOTERLEDIGUNGSGRUND_C_NR" type="java.lang.String" />
        <property name="f_auftragswahrscheinlichkeit" column="F_AUFTRAGSWAHRSCHEINLICHKEIT" type="java.lang.Double" />
        <property name="f_wechselkursmandantwaehrungzuangebotswaehrung" column="F_WECHSELKURSMANDANTWAEHRUNGZUANGEBOTSWAEHRUNG" type="java.lang.Double" />
        <property name="t_nachfasstermin" column="T_NACHFASSTERMIN" type="java.util.Date" />
        <property name="t_manuellerledigt" column="T_MANUELLERLEDIGT" type="java.util.Date" />
        <property name="x_internerkommentar" column="X_INTERNERKOMMENTAR" type="java.lang.String" />
        <property name="x_externerkommentar" column="X_EXTERNERKOMMENTAR" type="java.lang.String" />
	    <property name="t_versandzeitpunkt" column="T_VERSANDZEITPUNKT" type="java.sql.Timestamp" not-null="false"/>
    	<property name="c_versandtype" column="C_VERSANDTYPE" type="java.lang.String"/>
    	<property name="ansprechpartner_i_id_kunde" column="ANSPRECHPARTNER_I_ID_KUNDE" type="java.lang.Integer" />

        <many-to-one name="flrkunde" class="com.lp.server.partner.fastlanereader.generated.FLRKunde" column="KUNDE_I_ID_ANGEBOTSADRESSE" unique="true" insert="false" update="false" />
        <many-to-one name="flrkostenstelle" class="com.lp.server.system.fastlanereader.generated.FLRKostenstelle" column="KOSTENSTELLE_I_ID" unique="true" insert="false" update="false" />
        <many-to-one name="flrvertreter" class="com.lp.server.personal.fastlanereader.generated.FLRPersonal" column="PERSONAL_I_ID_VERTRETER" unique="true" insert="false" update="false" />
        <many-to-one name="flrvertreter2" class="com.lp.server.personal.fastlanereader.generated.FLRPersonal" column="PERSONAL_I_ID_VERTRETER2" unique="true" insert="false" update="false" />
        <many-to-one name="flrakquisestatus" class="com.lp.server.angebot.fastlanereader.generated.FLRAkquisestatus" column="AKQUISESTATUS_I_ID" unique="true" insert="false" update="false" />
        <many-to-one name="flrpersonalanleger" class="com.lp.server.personal.fastlanereader.generated.FLRPersonal" column="PERSONAL_I_ID_ANLEGEN" unique="true" insert="false" update="false" />
        <many-to-one name="flrpersonalaenderer" class="com.lp.server.personal.fastlanereader.generated.FLRPersonal" column="PERSONAL_I_ID_AENDERN" unique="true" insert="false" update="false" />
        <many-to-one name="flrangebottextsuche" class="com.lp.server.angebot.fastlanereader.generated.FLRAngebottextsuche" column="I_ID" insert="false" update="false"/>
        <many-to-one name="flrprojekt" class="com.lp.server.projekt.fastlanereader.generated.FLRProjekt" column="PROJEKT_I_ID" insert="false" update="false" />
        <many-to-one name="flrkunde_rechnungsadresse"
			class="com.lp.server.partner.fastlanereader.generated.FLRKunde"
			column="KUNDE_I_ID_RECHNUNGSADRESSE" insert="false" update="false" />
        
</class>

<class name="FLRAngebotauftrag" table="ANGB_ANGEBOTAUFTRAG">
	<id name="i_id" column="I_ID" type="java.lang.Integer" >
    		<generator class="native"/>
	</id>

 <property name="angebot_i_id" column="ANGEBOT_I_ID" type="java.lang.Integer" />
  <property name="auftrag_i_id" column="AUFTRAG_I_ID" type="java.lang.Integer" />

	<property name="mandant_c_nr" column="MANDANT_C_NR" type="java.lang.String" />
	<property name="c_nr" column="C_NR" type="java.lang.String" />
	<property name="c_bez" column="C_BEZ" type="java.lang.String" />
	<property name="c_bestellnummer" column="C_BESTELLNUMMER" type="java.lang.String" />
	    <property name="t_belegdatum" column="T_BELEGDATUM" type="java.util.Date" />
	     <property name="t_angebot_nachfasstermin" column="T_ANGEBOT_NACHFASSTERMIN" type="java.util.Date" />
	      <property name="t_auftrag_liefertermin" column="T_AUFTRAG_LIEFERTERMIN" type="java.util.Date" />
	       <property name="t_positionsliefertermin" column="T_POSITIONSLIEFERTERMIN" type="java.util.Date" />
	       
	     
	     
        <property name="status_c_nr" column="STATUS_C_NR" type="java.lang.String" />
        
        
        <property name="waehrung_c_nr" column="WAEHRUNG_C_NR" type="java.lang.String" />
        <property name="n_wert" column="N_WERT" type="java.math.BigDecimal" />
        <property name="kunde_i_id" column="KUNDE_I_ID" type="java.lang.Integer" />
       
        <property name="vertreter_i_id" column="PERSONAL_I_ID_VERTRETER" type="java.lang.Integer" />
       

<many-to-one name="flrangebot" class="com.lp.server.angebot.fastlanereader.generated.FLRAngebot" column="ANGEBOT_I_ID" unique="true" insert="false" update="false" />
<many-to-one name="flrauftrag" class="com.lp.server.auftrag.fastlanereader.generated.FLRAuftrag" column="AUFTRAG_I_ID" unique="true" insert="false" update="false" />

        <many-to-one name="flrkunde" class="com.lp.server.partner.fastlanereader.generated.FLRKunde" column="KUNDE_I_ID" unique="true" insert="false" update="false" />
        <many-to-one name="flrvertreter" class="com.lp.server.personal.fastlanereader.generated.FLRPersonal" column="PERSONAL_I_ID_VERTRETER" unique="true" insert="false" update="false" />
</class>


<class name="FLRAngebottextsuche" table="ANGB_TEXTSUCHE" mutable="false" subselect="SELECT * from ANGB_TEXTSUCHE" >
	<id name="i_id" column="I_ID" type="java.lang.String" >
    		<generator class="native"/>
	</id>
       <property name="c_typ" column="C_TYP" type="java.lang.String" />
       <property name="c_nr" column="C_NR" type="java.lang.String" />
       <property name="c_suche" column="C_SUCHE" type="java.lang.String" />
</class>

<class name="FLRAngebottext" table="ANGB_ANGEBOTTEXT">
	<id name="i_id" column="I_ID" type="java.lang.Integer">
		<generator class="native" />
	</id>

	<property name="mandant_c_nr" column="MANDANT_C_NR" type="java.lang.String" />
        <property name="locale_c_nr" column="LOCALE_C_NR" type="java.lang.String" />
        <property name="mediaart_c_nr" column="MEDIAART_C_NR" type="java.lang.String" />
        <property name="x_textinhalt" column="X_TEXTINHALT" type="java.lang.String" />
</class>

<class name="FLRAngebotart" table="ANGB_ANGEBOTART">
    <id name="c_nr" column="C_NR" type="java.lang.String">
      <generator class="native" />
    </id>

    <set name="angebotart_angebotart_set" inverse="true">
       <key column="ANGEBOTART_C_NR"/>
       <one-to-many class="com.lp.server.angebot.fastlanereader.generated.FLRAngebotartspr"/>
       <filter name="filterLocale" condition=":paramLocale = LOCALE_C_NR"/>
    </set>

    <property name="i_sort" column="I_SORT" type="java.lang.Integer" />
</class>
<class name="FLRAngebotartspr" table="ANGB_ANGEBOTARTSPR">
	<composite-id>
          <key-many-to-one name="angebotart" column="ANGEBOTART_C_NR" class="com.lp.server.angebot.fastlanereader.generated.FLRAngebotart"/>
          <key-many-to-one name="locale" column="LOCALE_C_NR" class="com.lp.server.system.fastlanereader.generated.FLRLocale"/>
        </composite-id>
	<property name="c_bez" column="C_BEZ" type="java.lang.String"/>
</class>


<class name="FLRAkquisestatus" table="ANGB_AKQUISESTATUS">
		<id name="i_id" column="I_ID" type="java.lang.Integer">
			<generator class="native" />
		</id>
		<property name="mandant_c_nr" column="MANDANT_C_NR"
			type="java.lang.String" />
		<property name="c_bez" column="C_BEZ" type="java.lang.String" />
		<property name="i_sort" column="I_SORT"
			type="java.lang.Integer" />
	</class>


<class name="FLRAngeboterledigungsgrund" table="ANGB_ANGEBOTERLEDIGUNGSGRUND">
    <id name="c_nr" column="C_NR" type="java.lang.String">
      <generator class="native" />
    </id>

    <set name="angeboterledigungsgrund_angeboterledigungsgrundspr_set" inverse="true">
       <key column="ANGEBOTERLEDIGUNGSGRUND_C_NR"/>
       <one-to-many class="com.lp.server.angebot.fastlanereader.generated.FLRAngeboterledigungsgrundspr"/>
       <filter name="filterLocale" condition=":paramLocale = LOCALE_C_NR"/>
    </set>
	<property name="mandant_c_nr" column="MANDANT_C_NR" type="java.lang.String" />
    <property name="i_sort" column="I_SORT" type="java.lang.Integer" />
</class>
<class name="FLRAngeboterledigungsgrundspr" table="ANGB_ANGEBOTERLEDIGUNGSGRUNDSPR">
	<composite-id>
          <key-many-to-one name="angeboterledigungsgrund" column="ANGEBOTERLEDIGUNGSGRUND_C_NR" class="com.lp.server.angebot.fastlanereader.generated.FLRAngeboterledigungsgrund"/>
          <key-many-to-one name="locale" column="LOCALE_C_NR" class="com.lp.server.system.fastlanereader.generated.FLRLocale"/>
        </composite-id>
	<property name="c_bez" column="C_BEZ" type="java.lang.String"/>
</class>

<class name="FLRAngebotposition" table="ANGB_ANGEBOTPOSITION">
	<id name="i_id" column="I_ID" type="java.lang.Integer">
		<generator class="native" />
	</id>

	<property name="i_sort" column="I_SORT" type="java.lang.Integer" />
        <property name="positionart_c_nr" column="ANGEBOTPOSITIONART_C_NR" type="java.lang.String" />
	<property name="n_menge" column="N_MENGE" type="java.math.BigDecimal" />
	<property name="einheit_c_nr" column="EINHEIT_C_NR" type="java.lang.String" />
	<property name="c_bez" column="C_BEZ" type="java.lang.String" />
    <property name="c_zbez" column="C_ZBEZ" type="java.lang.String" />
    <property name="n_nettoeinzelpreisplusversteckteraufschlag" column="N_NETTOEINZELPREISPLUSVERSTECKTERAUFSCHLAG" type="java.math.BigDecimal" />
	<property name="n_nettogesamtpreisplusversteckteraufschlag" column="N_NETTOGESAMTPREISPLUSVERSTECKTERAUFSCHLAG" type="java.math.BigDecimal" />
	<property name="n_nettogesamtpreisplusversteckteraufschlagminusrabatte" column="N_NETTOGESAMTPREISPLUSVERSTECKTERAUFSCHLAGMINUSRABATTE" type="java.math.BigDecimal" />
	<property name="n_nettogesamtpreis" column="N_NETTOGESAMTPREIS" type="java.math.BigDecimal" />
	<property name="x_textinhalt" column="X_TEXTINHALT" type="java.lang.String" />
	<property name="agstkl_i_id" column="AGSTKL_I_ID" type="java.lang.Integer" />
    <property name="b_alternative" column="B_ALTERNATIVE" type="java.lang.Short" />
    <property name="angebot_i_id" column="ANGEBOT_I_ID" type="java.lang.Integer" />
    <property name="position_i_id" column="POSITION_I_ID" type="java.lang.Integer" />
    <property name="typ_c_nr" column="TYP_C_NR" type="java.lang.String" />
    <property name="position_i_id_artikelset" column="POSITION_I_ID_ARTIKELSET" type="java.lang.Integer" />

    <many-to-one name="flrangebot" class="com.lp.server.angebot.fastlanereader.generated.FLRAngebot" column="ANGEBOT_I_ID" unique="true" insert="false" update="false" />
    <many-to-one name="flrverleih" class="com.lp.server.artikel.fastlanereader.generated.FLRVerleih" column="VERLEIH_I_ID" unique="true" insert="false" update="false" />
    <many-to-one name="flrartikel" class="com.lp.server.artikel.fastlanereader.generated.FLRArtikel" column="ARTIKEL_I_ID" unique="true" />
    <many-to-one name="flrmediastandard" class="com.lp.server.system.fastlanereader.generated.FLRMediastandard" column="MEDIASTANDARD_I_ID" unique="true" />
    <many-to-one name="flragstkl" class="com.lp.server.angebotstkl.fastlanereader.generated.FLRAgstkl" column="AGSTKL_I_ID" unique="true" insert="false" update="false" />

	<property name="zwsvonposition_i_id" column="ZWSVONPOSITION_I_ID" type="java.lang.Integer" />
	<property name="zwsbisposition_i_id" column="ZWSBISPOSITION_I_ID" type="java.lang.Integer" />
	<property name="zwsnettosumme" column="N_ZWSNETTOSUMME" type="java.math.BigDecimal" />
	<property name="b_zwspositionspreiszeigen" column="B_ZWSPOSITIONSPREISZEIGEN" type="java.lang.Short" />
</class>

<class name="FLRAngebotpositionart" table="ANGB_ANGEBOTPOSITIONART">
	<id name="positionsart_c_nr" column="POSITIONSART_C_NR" type="java.lang.String" >
    		<generator class="native" />
	</id>
	<property name="i_sort" column="I_SORT" type="java.lang.Integer" />
</class>

<class name="FLRAngebotpositionReport" table="ANGB_ANGEBOTPOSITION">
	<id name="i_id" column="I_ID" type="java.lang.Integer">
		<generator class="native" />
	</id>

	<property name="i_sort" column="I_SORT" type="java.lang.Integer" />
    <property name="angebotpositionart_c_nr" column="ANGEBOTPOSITIONART_C_NR" type="java.lang.String" />
	<property name="n_menge" column="N_MENGE" type="java.math.BigDecimal" />
	<property name="einheit_c_nr" column="EINHEIT_C_NR" type="java.lang.String" />
	<property name="c_bez" column="C_BEZ" type="java.lang.String" />
    <property name="c_zbez" column="C_ZBEZ" type="java.lang.String" />
	<property name="n_nettoeinzelpreisplusversteckteraufschlag" column="N_NETTOEINZELPREISPLUSVERSTECKTERAUFSCHLAG" type="java.math.BigDecimal" />
	<property name="n_nettogesamtpreisplusversteckteraufschlag" column="N_NETTOGESAMTPREISPLUSVERSTECKTERAUFSCHLAG" type="java.math.BigDecimal" />
	<property name="n_nettogesamtpreisplusversteckteraufschlagminusrabatte" column="N_NETTOGESAMTPREISPLUSVERSTECKTERAUFSCHLAGMINUSRABATTE" type="java.math.BigDecimal" />
	<property name="n_materialzuschlag" column="N_MATERIALZUSCHLAG" type="java.math.BigDecimal" />
	<property name="artikel_i_id" column="ARTIKEL_I_ID" type="java.lang.Integer" />
	<property name="agstkl_i_id" column="AGSTKL_I_ID" type="java.lang.Integer" />
	<property name="n_gestehungspreis" column="N_GESTEHUNGSPREIS" type="java.math.BigDecimal" />
    <property name="b_alternative" column="B_ALTERNATIVE" type="java.lang.Short" />
    <property name="angebot_i_id" column="ANGEBOT_I_ID" type="java.lang.Integer" />
    <property name="mediastandard_i_id" column="MEDIASTANDARD_I_ID" type="java.lang.Integer" />
    <property name="f_rabattsatz" column="F_RABATTSATZ" type="java.lang.Double" />
    <property name="f_zusatzrabattsatz" column="F_ZUSATZRABATTSATZ" type="java.lang.Double" />
    <property name="mwstsatz_i_id" column="MWSTSATZ_I_ID" type="java.lang.Integer" />
    <property name="i_lieferzeitinstunden" column="I_LIEFERZEITINSTUNDEN" type="java.lang.Integer" />
	<property name="n_mwstbetrag" column="N_MWSTBETRAG" type="java.math.BigDecimal" />
	<property name="x_textinhalt" column="X_TEXTINHALT" type="java.lang.String" />
	<property name="lieferant_i_id" column="LIEFERANT_I_ID" type="java.lang.Integer" />
	<property name="n_einkaufpreis" column="N_EINKAUFPREIS" type="java.math.BigDecimal" />
	<property name="position_i_id" column="POSITION_I_ID" type="java.lang.Integer" />
	<property name="position_i_id_artikelset" column="POSITION_I_ID_ARTIKELSET" type="java.lang.Integer" />
    <property name="typ_c_nr" column="TYP_C_NR" type="java.lang.String" />

        <many-to-one name="flrverleih" class="com.lp.server.artikel.fastlanereader.generated.FLRVerleih" column="VERLEIH_I_ID" unique="true" insert="false" update="false" />

        <many-to-one name="flrangebot" class="com.lp.server.angebot.fastlanereader.generated.FLRAngebot" column="ANGEBOT_I_ID" unique="true" insert="false" update="false" />
        <many-to-one name="flrartikel" class="com.lp.server.artikel.fastlanereader.generated.FLRArtikel" column="ARTIKEL_I_ID" unique="true" insert="false" update="false" />
        <many-to-one name="flragstkl" class="com.lp.server.angebotstkl.fastlanereader.generated.FLRAgstkl" column="AGSTKL_I_ID" unique="true" insert="false" update="false" />

	<property name="zwsvonposition_i_id" column="ZWSVONPOSITION_I_ID" type="java.lang.Integer" />
	<property name="zwsbisposition_i_id" column="ZWSBISPOSITION_I_ID" type="java.lang.Integer" />
	<property name="zwsnettosumme" column="N_ZWSNETTOSUMME" type="java.math.BigDecimal" />
	<property name="b_zwspositionspreiszeigen" column="B_ZWSPOSITIONSPREISZEIGEN" type="java.lang.Short" />
</class>
</hibernate-mapping>
